function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = PH.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(57, 88);
g1(1,13)=(-1);
g1(1,64)=1;
g1(1,88)=(-1);
g1(2,14)=1;
g1(2,74)=(-(getPowerDeriv(y(74),1-params(6),1)));
g1(3,36)=1;
g1(4,37)=1;
g1(5,1)=(-(params(2)*1/y(1)));
g1(5,15)=1/y(15);
g1(5,84)=(-1);
g1(6,12)=(-(params(28)*1/y(12)));
g1(6,63)=1/y(63);
g1(6,85)=(-1);
g1(7,14)=(-(params(35)*params(3)*y(63)*T(42)*T(43)*T(44)));
g1(7,17)=(-(params(35)*T(44)*T(52)));
g1(7,19)=(-(params(35)*T(44)*T(59)));
g1(7,21)=1;
g1(7,63)=(-(params(35)*T(44)*params(3)*T(33)));
g1(8,2)=params(40);
g1(8,16)=(-1);
g1(8,17)=1;
g1(9,14)=(-((1+y(39))*T(7)*T(45)*T(46)/(1+y(83))));
g1(9,17)=(-((1+y(39))*T(35)*params(3)*y(63)*T(53)*T(54)/(1+y(83))));
g1(9,71)=(-((1+y(39))*T(35)*T(58)/(1+y(83))));
g1(9,74)=(-((1+y(39))*T(7)*T(65)/(1+y(83))));
g1(9,39)=(-(T(7)*T(35)/(1+y(83))));
g1(9,83)=(-((-((1+y(39))*T(7)*T(35)))/((1+y(83))*(1+y(83)))));
g1(9,63)=(-((1+y(39))*T(35)*params(3)*T(6)/(1+y(83))));
g1(10,17)=(-(T(8)*T(55)));
g1(10,19)=(-(T(9)*T(60)));
g1(10,45)=1;
g1(11,17)=(-((1-params(3))*T(56)*T(57)));
g1(11,20)=1;
g1(11,21)=(-((1-params(3))*T(57)*(-y(17))/(y(21)*y(21))));
g1(12,16)=1;
g1(12,19)=(-y(45));
g1(12,4)=(-(1/(1+y(61))));
g1(12,23)=y(29);
g1(12,5)=(-((1+y(30)*params(29))/(1+y(61))));
g1(12,24)=y(30);
g1(12,29)=y(23);
g1(12,30)=y(24)-params(29)*y(5)/(1+y(61));
g1(12,31)=1;
g1(12,45)=(-y(19));
g1(12,51)=(-1);
g1(12,52)=(-1);
g1(12,53)=(-1);
g1(12,54)=1;
g1(12,61)=(-((-(y(4)+(1+y(30)*params(29))*y(5)))/((1+y(61))*(1+y(61)))));
g1(13,4)=(-(0.5*y(44)*params(32)*(-(2*(y(23)-y(4))))));
g1(13,23)=(-(0.5*y(44)*params(32)*2*(y(23)-y(4))+0.5*params(30)*y(29)*params(33)));
g1(13,5)=(-(0.5*y(44)*params(31)*(-(2*(y(24)-y(5))))));
g1(13,24)=(-(0.5*y(44)*params(31)*2*(y(24)-y(5))+0.5*params(30)*(-y(30))));
g1(13,29)=(-(0.5*params(30)*y(23)*params(33)));
g1(13,30)=(-(0.5*params(30)*(-y(24))));
g1(13,31)=1;
g1(13,44)=(-(0.5*T(10)));
g1(14,15)=(-(T(11)*y(19)*T(49)));
g1(14,18)=1;
g1(14,19)=(-(T(11)*y(15)*T(49)));
g1(14,3)=(-(T(12)*y(47)*T(68)));
g1(14,47)=(-(T(12)*y(3)*T(68)));
g1(15,14)=(-(y(80)*T(14)*T(48)));
g1(15,19)=y(44)-params(11)*(y(44)-y(45));
g1(15,20)=(-(y(80)*T(14)*T(61)));
g1(15,73)=(-(y(80)*T(14)*T(62)));
g1(15,21)=(-(y(80)*T(14)*T(64)));
g1(15,74)=(-(y(80)*T(14)*T(67)));
g1(15,9)=(-(y(50)*T(72)));
g1(15,44)=y(19)*(1-params(11))-(y(50)*T(74)+y(80)*T(41)*T(75));
g1(15,78)=(-(y(80)*T(41)*T(77)));
g1(15,45)=y(19)*params(11);
g1(15,50)=(-T(13));
g1(15,80)=(-(T(14)*T(41)));
g1(15,63)=(-(y(80)*T(14)*T(87)));
g1(16,18)=(-(T(16)*params(13)*T(15)));
g1(16,9)=(-(y(18)*params(13)*T(15)*T(73)));
g1(16,44)=(-(y(18)*params(13)*T(15)*T(76)));
g1(16,50)=1;
g1(16,61)=(-(T(16)*y(18)*params(13)*T(83)+y(18)*params(13)*T(15)*T(13)*T(83)));
g1(17,24)=(-((-(params(31)*(-y(78))))/y(30)));
g1(17,76)=(-(params(31)*(-y(78))/y(30)));
g1(17,30)=(-((-(params(31)*(-y(78))*(y(76)-y(24))))/(y(30)*y(30))));
g1(17,32)=1;
g1(17,78)=(-((y(76)-y(24))*(-params(31))/y(30)));
g1(18,23)=(-((-(params(32)*(-y(78))))/y(29)));
g1(18,75)=(-(params(32)*(-y(78))/y(29)));
g1(18,29)=(-((-(params(32)*(-y(78))*(y(75)-y(23))))/(y(29)*y(29))));
g1(18,33)=1;
g1(18,78)=(-((y(75)-y(23))*(-params(32))/y(29)));
g1(19,23)=(-((-params(30))*y(29)*params(33)));
g1(19,5)=(-((-(y(44)*params(31)))/y(30)));
g1(19,24)=(-(y(44)*params(31)/y(30)+(-params(30))*(-y(30))));
g1(19,29)=(-((-params(30))*y(23)*params(33)));
g1(19,30)=(-((-((y(24)-y(5))*y(44)*params(31)))/(y(30)*y(30))+(-params(30))*(-y(24))));
g1(19,34)=1;
g1(19,44)=(-(params(31)*(y(24)-y(5))/y(30)));
g1(20,4)=(-((-(y(44)*params(32)))/y(29)));
g1(20,23)=(-(y(44)*params(32)/y(29)+params(30)*params(33)*y(29)*params(33)));
g1(20,24)=(-(params(30)*params(33)*(-y(30))));
g1(20,29)=(-((-((y(23)-y(4))*y(44)*params(32)))/(y(29)*y(29))+params(30)*params(33)*y(23)*params(33)));
g1(20,30)=(-(params(30)*params(33)*(-y(24))));
g1(20,35)=1;
g1(20,44)=(-(params(32)*(y(23)-y(4))/y(29)));
g1(21,73)=(-((1+params(29)*y(77))/y(30)-y(32)-(1+y(34))*(1+y(42))));
g1(21,30)=(-(y(73)*(-(1+params(29)*y(77)))/(y(30)*y(30))));
g1(21,77)=(-(y(73)*params(29)/y(30)));
g1(21,32)=y(73);
g1(21,34)=(-(y(73)*(-(1+y(42)))));
g1(21,42)=(-(y(73)*(-(1+y(34)))));
g1(22,73)=(-(1+y(39)-y(33)-(1+y(42))*(1+y(35))));
g1(22,33)=y(73);
g1(22,35)=(-(y(73)*(-(1+y(42)))));
g1(22,39)=(-y(73));
g1(22,42)=(-(y(73)*(-(1+y(35)))));
g1(23,29)=1;
g1(23,39)=(-((-1)/((1+y(39))*(1+y(39)))));
g1(24,7)=(-(params(29)/(1+y(61)+0.003859435)));
g1(24,26)=1;
g1(24,27)=(-1);
g1(24,61)=(-(y(7)*(-params(29))/((1+y(61)+0.003859435)*(1+y(61)+0.003859435))));
g1(25,30)=(-((-(1+params(29)*y(77)))/(y(30)*y(30))));
g1(25,77)=(-(params(29)/y(30)));
g1(25,41)=1;
g1(26,6)=(-(y(37)/T(17)));
g1(26,7)=(-(y(36)*params(29)/(1+y(61))+y(37)*(1+y(30)*params(29))/T(17)));
g1(26,30)=(-(y(37)*params(29)*y(7)/T(17)));
g1(26,36)=(-(y(7)*params(29)/(1+y(61))));
g1(26,37)=(-((y(6)+(1+y(30)*params(29))*y(7))/T(17)));
g1(26,38)=1;
g1(26,61)=(-(y(36)*y(7)*(-params(29))/((1+y(61))*(1+y(61)))+(-(y(37)*(y(6)+(1+y(30)*params(29))*y(7))*2*(1+y(61))))/(T(17)*T(17))));
g1(27,7)=(-((1-params(26))*(1-params(29))+params(27)*(-(params(29)/(1+y(61)+0.003859435)))));
g1(27,27)=1;
g1(27,28)=(-((steady_state(5))/100/y(30)));
g1(27,30)=(-((-(y(28)*(steady_state(5))/100))/(y(30)*y(30))));
g1(27,61)=(-(params(27)*(-(y(7)*(-params(29))/((1+y(61)+0.003859435)*(1+y(61)+0.003859435))))));
g1(28,25)=y(29);
g1(28,26)=y(30);
g1(28,29)=y(25);
g1(28,30)=y(26);
g1(29,23)=1;
g1(29,25)=1;
g1(30,24)=1;
g1(30,26)=1;
g1(31,19)=1/y(3);
g1(31,3)=(-y(19))/(y(3)*y(3));
g1(31,44)=(-((-(params(14)*(1-params(14))*y(46)))/(y(44)*params(14)*y(44)*params(14))));
g1(31,46)=(-((1-params(14))/(y(44)*params(14))));
g1(32,15)=(-(T(19)*T(50)*T(51)));
g1(32,43)=1;
g1(32,44)=(-(T(19)*T(51)*1/(y(15)*(1-params(14)))));
g1(32,46)=(-(T(18)*T(78)));
g1(33,18)=(-(params(12)*(-T(22))/(y(18)*y(18))));
g1(33,72)=(-(params(12)*T(21)/y(18)));
g1(33,39)=(-(params(12)*T(71)/y(18)));
g1(33,43)=params(10);
g1(33,49)=(-params(12));
g1(33,79)=(-(params(12)*T(20)*y(72)/y(18)));
g1(33,83)=(-(params(12)*T(86)/y(18)));
g1(34,49)=1;
g1(34,61)=(-((T(15)-1)*T(83)+T(15)*T(83)));
g1(35,11)=(-(T(23)*T(25)+T(23)*y(11)*T(79)*2*T(24)));
g1(35,55)=(-(T(23)*y(11)*2*T(24)*T(82)));
g1(35,56)=1;
g1(36,11)=(-(T(80)-(T(26)*T(79)+T(24)*T(81))));
g1(36,55)=(-(T(23)*2*T(24)*T(82)-(T(26)*T(82)+T(24)*params(15)/y(11))));
g1(36,57)=1;
g1(37,3)=(-(1-y(10)));
g1(37,22)=1;
g1(37,10)=y(3);
g1(37,55)=(-1);
g1(38,14)=(-((y(82)-y(81))*T(48)));
g1(38,20)=(-((y(82)-y(81))*T(61)));
g1(38,73)=(-((y(82)-y(81))*T(62)));
g1(38,21)=(-((y(82)-y(81))*T(64)));
g1(38,74)=(-((y(82)-y(81))*T(67)));
g1(38,11)=params(15)*T(79)/2;
g1(38,55)=params(15)*T(82)/2;
g1(38,81)=T(41);
g1(38,82)=(-T(41));
g1(38,63)=(-((y(82)-y(81))*T(87)));
g1(39,14)=(-(y(82)*(1-y(48))*T(48)));
g1(39,20)=(-(y(82)*(1-y(48))*T(61)));
g1(39,73)=(-(y(82)*(1-y(48))*T(62)));
g1(39,21)=(-(y(82)*(1-y(48))*T(64)));
g1(39,74)=(-(y(82)*(1-y(48))*T(67)));
g1(39,46)=(-y(47));
g1(39,47)=(-y(46));
g1(39,48)=(-(y(82)*(-T(41))));
g1(39,60)=1;
g1(39,82)=(-((1-y(48))*T(41)));
g1(39,63)=(-(y(82)*(1-y(48))*T(87)));
g1(40,14)=(-(T(27)*y(82)*T(48)));
g1(40,20)=(-(T(27)*y(82)*T(61)));
g1(40,73)=(-(T(27)*y(82)*T(62)));
g1(40,21)=(-(T(27)*y(82)*T(64)));
g1(40,74)=(-(T(27)*y(82)*T(67)));
g1(40,22)=y(46);
g1(40,46)=y(22);
g1(40,47)=(-(params(18)*y(82)*T(41)));
g1(40,82)=(-(T(27)*T(41)));
g1(40,63)=(-(T(27)*y(82)*T(87)));
g1(41,47)=(-(params(17)+params(18)*2*(y(47)-1)));
g1(41,48)=1;
g1(42,18)=(-(params(12)/2*T(28)));
g1(42,58)=1;
g1(42,61)=(-(y(18)*params(12)/2*T(83)*2*(T(15)-1)));
g1(43,18)=(-(T(29)*T(31)));
g1(43,9)=(-(T(30)*T(73)*2*T(16)));
g1(43,44)=(-(T(30)*2*T(16)*T(76)));
g1(43,59)=1;
g1(43,61)=(-(T(30)*2*T(16)*T(13)*T(83)));
g1(44,18)=(-(1+params(9)-y(43)));
g1(44,43)=y(18);
g1(44,51)=1;
g1(44,58)=1;
g1(45,3)=(-(y(47)*y(46)));
g1(45,46)=(-(y(47)*y(3)));
g1(45,47)=(-(y(3)*y(46)));
g1(45,52)=1;
g1(45,55)=1;
g1(45,56)=1;
g1(46,19)=(-(y(44)-y(45)));
g1(46,44)=(-y(19));
g1(46,45)=y(19);
g1(46,53)=1;
g1(46,59)=1;
g1(47,18)=(-((1-params(22))*params(20)*1/(steady_state(5))/T(32)));
g1(47,8)=(-params(22));
g1(47,40)=1;
g1(47,61)=(-((1-params(22))*params(19)*T(83)/T(15)));
g1(47,86)=(-1);
g1(48,38)=1e-06*params(24)*(1-params(98));
g1(48,39)=1;
g1(48,40)=(-(1-params(98)));
g1(49,28)=1;
g1(49,40)=params(98)*(-(params(37)+params(38)*2*y(40)));
g1(49,87)=params(98)*(-params(39))-(1-params(98));
g1(50,6)=(-(1/(1+y(61))));
g1(50,7)=(-((1+y(30)*params(29))/(1+y(61))));
g1(50,30)=(-(params(29)*y(7)/(1+y(61))));
g1(50,61)=(-((-(y(6)+(1+y(30)*params(29))*y(7)))/((1+y(61))*(1+y(61)))));
g1(50,62)=1;
g1(51,18)=(-params(9));
g1(51,54)=1;
g1(51,62)=1;
g1(52,55)=1;
g1(52,65)=(-(steady_state(42)));
g1(53,18)=1;
g1(53,66)=(-(steady_state(5)));
g1(54,19)=1;
g1(54,67)=(-(steady_state(6)));
g1(55,39)=1;
g1(55,68)=(-1);
g1(56,61)=1;
g1(56,69)=(-1);
g1(57,18)=(-y(70));
g1(57,26)=y(30);
g1(57,30)=y(26);
g1(57,70)=(-y(18));

end
