function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g1_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 87);

T = PH.dynamic_resid_tt(T, y, x, params, steady_state, it_);

T(42) = getPowerDeriv(y(14),1/(1-params(6)),1);
T(43) = getPowerDeriv(T(1),params(5),1);
T(44) = getPowerDeriv(T(34),1/params(5),1);
T(45) = (-(y(74)*T(42)))/(T(1)*T(1));
T(46) = getPowerDeriv(y(74)/T(1),params(6)/params(4),1);
T(47) = getPowerDeriv(T(1),params(6)+params(5)-1,1);
T(48) = y(73)*T(4)*T(3)*params(3)*y(63)*T(42)*T(47)/y(20);
T(49) = getPowerDeriv(y(19)*y(15),1-params(14),1);
T(50) = (-(y(44)*(1-params(14))))/(y(15)*(1-params(14))*y(15)*(1-params(14)));
T(51) = getPowerDeriv(y(44)/(y(15)*(1-params(14))),1-params(14),1);
T(52) = (1-params(3))*getPowerDeriv(y(17),params(5),1);
T(53) = 1/y(71);
T(54) = getPowerDeriv(y(17)/y(71),T(5),1);
T(55) = getPowerDeriv(y(17),T(5),1);
T(56) = 1/y(21);
T(57) = getPowerDeriv(y(17)/y(21),params(5)-1,1);
T(58) = params(3)*y(63)*T(54)*(-y(17))/(y(71)*y(71));
T(59) = (-(T(2)*getPowerDeriv(y(19),1+params(7),1)));
T(60) = params(8)*getPowerDeriv(y(19),params(7),1);
T(61) = (-T(40))/(y(20)*y(20));
T(62) = T(39)/y(20);
T(63) = getPowerDeriv(y(21),1-params(5),1);
T(64) = y(73)*T(38)*T(63)/y(20);
T(65) = T(46)*1/T(1);
T(66) = getPowerDeriv(y(74),(-params(6)),1);
T(67) = y(73)*T(4)*T(37)*T(66)/y(20);
T(68) = getPowerDeriv(y(47)*y(3),params(14),1);
T(69) = (-1)/((1+y(39))*(1+y(39)))/(1+y(83));
T(70) = y(79)*T(69);
T(71) = y(72)*T(70);
T(72) = (-y(44))/(y(9)*y(9));
T(73) = T(15)*T(72);
T(74) = 1/y(9);
T(75) = (-y(78))/(y(44)*y(44));
T(76) = T(15)*T(74);
T(77) = 1/y(44);
T(78) = 1/params(14)*getPowerDeriv(y(46)/params(14),params(14),1);
T(79) = (-y(55))/(y(11)*y(11));
T(80) = T(23)*T(79)*2*T(24);
T(81) = (-(params(15)*y(55)))/(y(11)*y(11));
T(82) = 1/y(11);
T(83) = 1/(1+params(21));
T(84) = (-(1/(1+y(39))))/((1+y(83))*(1+y(83)));
T(85) = y(79)*T(84);
T(86) = y(72)*T(85);
T(87) = y(73)*T(4)*T(3)*params(3)*T(36)/y(20);

end
