function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_g2_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 118);

T = PH.dynamic_g1_tt(T, y, x, params, steady_state, it_);

T(88) = getPowerDeriv(y(14),1/(1-params(6)),2);
T(89) = getPowerDeriv(T(34),1/params(5),2);
T(90) = getPowerDeriv(y(74)/T(1),params(6)/params(4),2);
T(91) = getPowerDeriv(y(17)/y(71),T(5),2);
T(92) = getPowerDeriv(y(17)/y(21),params(5)-1,2);
T(93) = getPowerDeriv(y(19)*y(15),1-params(14),2);
T(94) = getPowerDeriv(y(47)*y(3),params(14),2);
T(95) = y(73)*T(4)*T(3)*params(3)*y(63)*(T(47)*T(88)+T(42)*T(42)*getPowerDeriv(T(1),params(6)+params(5)-1,2))/y(20);
T(96) = (-(y(73)*T(4)*T(3)*params(3)*y(63)*T(42)*T(47)))/(y(20)*y(20));
T(97) = T(4)*T(3)*params(3)*y(63)*T(42)*T(47)/y(20);
T(98) = y(73)*T(3)*params(3)*y(63)*T(42)*T(47)*T(63)/y(20);
T(99) = y(73)*T(4)*params(3)*y(63)*T(42)*T(47)*T(66)/y(20);
T(100) = y(73)*T(4)*T(3)*params(3)*T(42)*T(47)/y(20);
T(101) = (-((-T(40))*(y(20)+y(20))))/(y(20)*y(20)*y(20)*y(20));
T(102) = (-T(39))/(y(20)*y(20));
T(103) = (-(y(73)*T(38)*T(63)))/(y(20)*y(20));
T(104) = (-(y(73)*T(4)*T(37)*T(66)))/(y(20)*y(20));
T(105) = (-(y(73)*T(4)*T(3)*params(3)*T(36)))/(y(20)*y(20));
T(106) = T(38)*T(63)/y(20);
T(107) = T(4)*T(37)*T(66)/y(20);
T(108) = T(4)*T(3)*params(3)*T(36)/y(20);
T(109) = y(73)*T(38)*getPowerDeriv(y(21),1-params(5),2)/y(20);
T(110) = y(73)*T(63)*T(37)*T(66)/y(20);
T(111) = y(73)*T(63)*T(3)*params(3)*T(36)/y(20);
T(112) = y(73)*T(4)*T(37)*getPowerDeriv(y(74),(-params(6)),2)/y(20);
T(113) = y(73)*T(4)*T(66)*params(3)*T(36)/y(20);
T(114) = (1+y(39)+1+y(39))/((1+y(39))*(1+y(39))*(1+y(39))*(1+y(39)));
T(115) = (-(y(7)*(-((-params(29))*(1+y(61)+0.003859435+1+y(61)+0.003859435)))/((1+y(61)+0.003859435)*(1+y(61)+0.003859435)*(1+y(61)+0.003859435)*(1+y(61)+0.003859435))));
T(116) = getPowerDeriv(y(44)/(y(15)*(1-params(14))),1-params(14),2);
T(117) = (-((-y(55))*(y(11)+y(11))))/(y(11)*y(11)*y(11)*y(11));
T(118) = 2*T(24)*T(117)+T(79)*2*T(79);

end
