function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = PH.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(57, 1);
lhs = y(64);
rhs = y(13)+x(it_, 5);
residual(1) = lhs - rhs;
lhs = y(14);
rhs = y(74)^(1-params(6));
residual(2) = lhs - rhs;
lhs = y(36);
rhs = params(41);
residual(3) = lhs - rhs;
lhs = y(37);
rhs = params(43);
residual(4) = lhs - rhs;
lhs = log(y(15));
rhs = (1-params(2))*log(params(1))+params(2)*log(y(1))+x(it_, 1);
residual(5) = lhs - rhs;
lhs = log(y(63));
rhs = params(28)*log(y(12))+x(it_, 2);
residual(6) = lhs - rhs;
lhs = y(21);
rhs = params(35)*T(34)^(1/params(5));
residual(7) = lhs - rhs;
lhs = y(17);
rhs = y(16)-params(40)*y(2);
residual(8) = lhs - rhs;
lhs = 1;
rhs = (1+y(39))*T(7)*T(35)/(1+y(83));
residual(9) = lhs - rhs;
lhs = y(45);
rhs = T(8)*T(9);
residual(10) = lhs - rhs;
lhs = y(20);
rhs = (1-params(3))*(y(17)/y(21))^(params(5)-1);
residual(11) = lhs - rhs;
lhs = y(29)*y(23)+y(30)*y(24);
rhs = y(51)+y(52)+y(53)+(y(4)+(1+y(30)*params(29))*y(5))/(1+y(61))+y(19)*y(45)-y(54)-y(16)-y(31);
residual(12) = lhs - rhs;
lhs = y(31);
rhs = 0.5*y(44)*T(10)+0.5*params(30)*(y(29)*y(23)*params(33)-y(30)*y(24));
residual(13) = lhs - rhs;
lhs = y(18);
rhs = T(11)*T(12);
residual(14) = lhs - rhs;
lhs = y(19)*(y(44)-params(11)*(y(44)-y(45)));
rhs = T(13)*y(50)+y(80)*T(14)*T(41);
residual(15) = lhs - rhs;
lhs = y(50);
rhs = y(18)*params(13)*T(15)*T(16);
residual(16) = lhs - rhs;
lhs = y(32);
rhs = params(31)*(-y(78))*(y(76)-y(24))/y(30);
residual(17) = lhs - rhs;
lhs = y(33);
rhs = params(32)*(-y(78))*(y(75)-y(23))/y(29);
residual(18) = lhs - rhs;
lhs = y(34);
rhs = (y(24)-y(5))*y(44)*params(31)/y(30)+(-params(30))*(y(29)*y(23)*params(33)-y(30)*y(24));
residual(19) = lhs - rhs;
lhs = y(35);
rhs = (y(23)-y(4))*y(44)*params(32)/y(29)+params(30)*params(33)*(y(29)*y(23)*params(33)-y(30)*y(24));
residual(20) = lhs - rhs;
lhs = 0;
rhs = y(73)*((1+params(29)*y(77))/y(30)-y(32)-(1+y(34))*(1+y(42)));
residual(21) = lhs - rhs;
lhs = 0;
rhs = y(73)*(1+y(39)-y(33)-(1+y(42))*(1+y(35)));
residual(22) = lhs - rhs;
lhs = y(29);
rhs = 1/(1+y(39));
residual(23) = lhs - rhs;
lhs = y(26);
rhs = y(27)+params(29)/(1+y(61)+0.003859435)*y(7);
residual(24) = lhs - rhs;
lhs = y(41);
rhs = (1+params(29)*y(77))/y(30)-1;
residual(25) = lhs - rhs;
lhs = y(38);
rhs = y(36)*y(7)*params(29)/(1+y(61))+y(37)*(y(6)+(1+y(30)*params(29))*y(7))/T(17);
residual(26) = lhs - rhs;
lhs = y(27);
rhs = y(7)*(1-params(26))*(1-params(29))+params(27)*(params(23)-params(29)/(1+y(61)+0.003859435)*y(7))+y(28)*(steady_state(5))/100/y(30);
residual(27) = lhs - rhs;
lhs = y(29)*y(25);
rhs = y(26)*(-y(30));
residual(28) = lhs - rhs;
lhs = y(25);
rhs = (-y(23));
residual(29) = lhs - rhs;
lhs = y(26);
rhs = (-y(24));
residual(30) = lhs - rhs;
lhs = y(19)/y(3);
rhs = (1-params(14))*y(46)/(y(44)*params(14));
residual(31) = lhs - rhs;
lhs = y(43);
rhs = T(18)*T(19);
residual(32) = lhs - rhs;
lhs = (1+params(9))*(1-params(10))+y(43)*params(10);
rhs = params(12)*(y(49)+T(22)/y(18));
residual(33) = lhs - rhs;
lhs = y(49);
rhs = T(15)*(T(15)-1);
residual(34) = lhs - rhs;
lhs = y(56);
rhs = T(23)*y(11)*T(25);
residual(35) = lhs - rhs;
lhs = y(57);
rhs = T(23)*T(25)-T(24)*T(26);
residual(36) = lhs - rhs;
lhs = y(22);
rhs = y(55)+y(3)*(1-y(10));
residual(37) = lhs - rhs;
lhs = 1;
rhs = (y(82)-y(81))*T(41)-params(15)*T(24)/2;
residual(38) = lhs - rhs;
lhs = y(60);
rhs = y(47)*y(46)+y(82)*(1-y(48))*T(41);
residual(39) = lhs - rhs;
lhs = y(46)*y(22);
rhs = T(27)*y(82)*T(41);
residual(40) = lhs - rhs;
lhs = y(48);
rhs = params(16)+params(17)*(y(47)-1)+params(18)*(y(47)-1)^2;
residual(41) = lhs - rhs;
lhs = y(58);
rhs = y(18)*params(12)/2*T(28);
residual(42) = lhs - rhs;
lhs = y(59);
rhs = T(30)*T(31);
residual(43) = lhs - rhs;
lhs = y(51);
rhs = y(18)*(1+params(9)-y(43))-y(58);
residual(44) = lhs - rhs;
lhs = y(52);
rhs = y(3)*y(47)*y(46)-y(55)-y(56);
residual(45) = lhs - rhs;
lhs = y(53);
rhs = y(19)*(y(44)-y(45))-y(59);
residual(46) = lhs - rhs;
lhs = y(40);
rhs = params(22)*y(8)+(1-params(22))*((steady_state(26))+params(19)*log(T(15))+params(20)*log(T(32)))+x(it_, 3);
residual(47) = lhs - rhs;
residual(48) = (y(39)-0.001247663)*params(98)+(y(39)-(y(40)-y(38)*1e-06*params(24)))*(1-params(98));
residual(49) = params(98)*(y(28)-(params(36)+y(40)*params(37)+params(38)*y(40)^2+x(it_, 4)*params(39)))+(1-params(98))*(y(28)-x(it_, 4));
lhs = y(62);
rhs = (y(6)+(1+y(30)*params(29))*y(7))/(1+y(61));
residual(50) = lhs - rhs;
lhs = y(54)+y(62);
rhs = y(18)*params(9);
residual(51) = lhs - rhs;
lhs = y(55);
rhs = (steady_state(42))*(1+y(65));
residual(52) = lhs - rhs;
lhs = y(18);
rhs = (steady_state(5))*(1+y(66));
residual(53) = lhs - rhs;
lhs = y(19);
rhs = (steady_state(6))*(1+y(67));
residual(54) = lhs - rhs;
lhs = y(39);
rhs = y(68);
residual(55) = lhs - rhs;
lhs = y(61);
rhs = y(69);
residual(56) = lhs - rhs;
lhs = y(30)*y(26);
rhs = y(18)*y(70);
residual(57) = lhs - rhs;

end
