function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
% function T = dynamic_resid_tt(T, y, x, params, steady_state, it_)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double  vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double  vector of endogenous variables in the order stored
%                                                    in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double  matrix of exogenous variables (in declaration order)
%                                                    for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double  vector of steady state values
%   params        [M_.param_nbr by 1]        double  vector of parameter values in declaration order
%   it_           scalar                     double  time period for exogenous variables for which
%                                                    to evaluate the model
%
% Output:
%   T           [#temp variables by 1]       double  vector of temporary terms
%

assert(length(T) >= 41);

T(1) = y(14)^(1/(1-params(6)));
T(2) = (1-params(3))*params(5)*params(8)/(1+params(7));
T(3) = y(74)^(-params(6));
T(4) = y(21)^(1-params(5));
T(5) = 1/params(4);
T(6) = (y(17)/y(71))^T(5);
T(7) = params(3)*y(63)*T(6);
T(8) = params(8)*y(19)^params(7);
T(9) = y(17)^T(5);
T(10) = params(31)*(y(24)-y(5))^2+params(32)*(y(23)-y(4))^2;
T(11) = (y(47)*y(3))^params(14);
T(12) = (y(19)*y(15))^(1-params(14));
T(13) = y(44)/y(9);
T(14) = y(78)/y(44);
T(15) = (1+y(61))/(1+params(21));
T(16) = T(13)*T(15)-1;
T(17) = (1+y(61))^2;
T(18) = (y(44)/(y(15)*(1-params(14))))^(1-params(14));
T(19) = (y(46)/params(14))^params(14);
T(20) = 1/(1+y(39))/(1+y(83));
T(21) = T(20)*y(79);
T(22) = T(21)*y(72);
T(23) = params(15)/2;
T(24) = y(55)/y(11)-1;
T(25) = T(24)^2;
T(26) = params(15)*y(55)/y(11);
T(27) = params(17)+params(18)*(y(47)-1);
T(28) = (T(15)-1)^2;
T(29) = params(13)/2;
T(30) = y(18)*T(29);
T(31) = T(16)^2;
T(32) = y(18)/(steady_state(5));
T(33) = (T(1))^params(5);
T(34) = (1-params(3))*y(17)^params(5)-T(2)*y(19)^(1+params(7))+params(3)*y(63)*T(33);
T(35) = (y(74)/T(1))^(params(6)/params(4));
T(36) = (T(1))^(params(6)+params(5)-1);
T(37) = params(3)*y(63)*T(36);
T(38) = T(3)*T(37);
T(39) = T(4)*T(38);
T(40) = y(73)*T(39);
T(41) = T(40)/y(20);

end
