function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = PH.static_resid_tt(T, y, x, params);
end
residual = zeros(57, 1);
lhs = y(51);
rhs = y(51)+x(5);
residual(1) = lhs - rhs;
lhs = y(1);
rhs = y(8)^(1-params(6));
residual(2) = lhs - rhs;
lhs = y(23);
rhs = params(41);
residual(3) = lhs - rhs;
lhs = y(24);
rhs = params(43);
residual(4) = lhs - rhs;
lhs = log(y(2));
rhs = (1-params(2))*log(params(1))+log(y(2))*params(2)+x(1);
residual(5) = lhs - rhs;
lhs = log(y(50));
rhs = log(y(50))*params(28)+x(2);
residual(6) = lhs - rhs;
lhs = y(8);
rhs = params(35)*T(9)^(1/params(5));
residual(7) = lhs - rhs;
lhs = y(4);
rhs = y(3)-y(3)*params(40);
residual(8) = lhs - rhs;
lhs = 1;
rhs = (1+y(26))*T(11)/(1+y(48));
residual(9) = lhs - rhs;
lhs = y(32);
rhs = T(12)*T(13);
residual(10) = lhs - rhs;
lhs = y(7);
rhs = (1-params(3))*(y(4)/y(8))^(params(5)-1);
residual(11) = lhs - rhs;
lhs = y(16)*y(10)+y(17)*y(11);
rhs = y(38)+y(39)+y(40)+(y(10)+y(11)*(1+y(17)*params(29)))/(1+y(48))+y(6)*y(32)-y(41)-y(3)-y(18);
residual(12) = lhs - rhs;
lhs = y(18);
rhs = 0.5*params(30)*(y(16)*y(10)*params(33)-y(17)*y(11));
residual(13) = lhs - rhs;
lhs = y(5);
rhs = T(14)*T(15);
residual(14) = lhs - rhs;
lhs = y(6)*(y(31)-params(11)*(y(31)-y(32)));
rhs = y(37)+T(7)*y(37);
residual(15) = lhs - rhs;
lhs = y(37);
rhs = y(5)*params(13)*T(16)*T(17);
residual(16) = lhs - rhs;
residual(17) = y(19);
residual(18) = y(20);
lhs = y(21);
rhs = (y(16)*y(10)*params(33)-y(17)*y(11))*(-params(30));
residual(19) = lhs - rhs;
lhs = y(22);
rhs = (y(16)*y(10)*params(33)-y(17)*y(11))*params(30)*params(33);
residual(20) = lhs - rhs;
lhs = 0;
rhs = y(7)*((1+y(17)*params(29))/y(17)-y(19)-(1+y(21))*(1+y(29)));
residual(21) = lhs - rhs;
lhs = 0;
rhs = y(7)*(1+y(26)-y(20)-(1+y(29))*(1+y(22)));
residual(22) = lhs - rhs;
lhs = y(16);
rhs = 1/(1+y(26));
residual(23) = lhs - rhs;
lhs = y(13);
rhs = y(14)+y(13)*params(29)/(1+y(48)+0.003859435);
residual(24) = lhs - rhs;
lhs = y(28);
rhs = (1+y(17)*params(29))/y(17)-1;
residual(25) = lhs - rhs;
lhs = y(25);
rhs = y(23)*y(13)*params(29)/(1+y(48))+y(24)*(y(12)+(1+y(17)*params(29))*y(13))/T(18);
residual(26) = lhs - rhs;
lhs = y(14);
rhs = y(13)*(1-params(26))*(1-params(29))+params(27)*(params(23)-y(13)*params(29)/(1+y(48)+0.003859435))+y(15)*(y(5))/100/y(17);
residual(27) = lhs - rhs;
lhs = y(16)*y(12);
rhs = y(13)*(-y(17));
residual(28) = lhs - rhs;
lhs = y(12);
rhs = (-y(10));
residual(29) = lhs - rhs;
lhs = y(13);
rhs = (-y(11));
residual(30) = lhs - rhs;
lhs = y(6)/y(9);
rhs = (1-params(14))*y(33)/(y(31)*params(14));
residual(31) = lhs - rhs;
lhs = y(30);
rhs = T(19)*T(20);
residual(32) = lhs - rhs;
lhs = (1+params(9))*(1-params(10))+y(30)*params(10);
rhs = params(12)*(y(36)+y(36)*T(21));
residual(33) = lhs - rhs;
lhs = y(36);
rhs = T(16)*T(17);
residual(34) = lhs - rhs;
residual(35) = y(43);
residual(36) = y(44);
lhs = y(9);
rhs = y(42)+y(9)*(1-y(35));
residual(37) = lhs - rhs;
lhs = 1;
rhs = T(7)*(y(47)-y(44));
residual(38) = lhs - rhs;
lhs = y(47);
rhs = y(34)*y(33)+y(47)*T(7)*(1-y(35));
residual(39) = lhs - rhs;
lhs = y(9)*y(33);
rhs = (params(17)+params(18)*(y(34)-1))*T(7)*y(47);
residual(40) = lhs - rhs;
lhs = y(35);
rhs = params(16)+params(17)*(y(34)-1)+params(18)*(y(34)-1)^2;
residual(41) = lhs - rhs;
lhs = y(45);
rhs = y(5)*params(12)/2*T(22);
residual(42) = lhs - rhs;
lhs = y(46);
rhs = T(22)*y(5)*params(13)/2;
residual(43) = lhs - rhs;
lhs = y(38);
rhs = y(5)*(1+params(9)-y(30))-y(45);
residual(44) = lhs - rhs;
lhs = y(39);
rhs = y(9)*y(34)*y(33)-y(42)-y(43);
residual(45) = lhs - rhs;
lhs = y(40);
rhs = y(6)*(y(31)-y(32))-y(46);
residual(46) = lhs - rhs;
lhs = y(27);
rhs = y(26)*params(22)+(1-params(22))*((y(26))+params(19)*log(T(16))+params(20)*log(y(5)/(y(5))))+x(3);
residual(47) = lhs - rhs;
residual(48) = y(26)-(y(27)-y(25)*1e-06*params(24));
residual(49) = y(15)-x(4);
lhs = y(49);
rhs = (y(12)+(1+y(17)*params(29))*y(13))/(1+y(48));
residual(50) = lhs - rhs;
lhs = y(41)+y(49);
rhs = y(5)*params(9);
residual(51) = lhs - rhs;
lhs = y(42);
rhs = (y(42))*(1+y(52));
residual(52) = lhs - rhs;
lhs = y(5);
rhs = (y(5))*(1+y(53));
residual(53) = lhs - rhs;
lhs = y(6);
rhs = (y(6))*(1+y(54));
residual(54) = lhs - rhs;
lhs = y(26);
rhs = y(55);
residual(55) = lhs - rhs;
lhs = y(48);
rhs = y(56);
residual(56) = lhs - rhs;
lhs = y(17)*y(13);
rhs = y(5)*y(57);
residual(57) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
