function p = Callib()

% set parameter values
p.Abar    = 100;
%p.rho     = 0.95; % Simms and Wu 2021
p.rho     = 0.8; % Simms and Wu 2021
p.rhor    = 0.8; % Simms and Wu 2021
p.bet     = 0.98^(1/4);
p.sig     = 0.63; % IES, Groom and Maddison 2019
p.vsig    = 1 - 1/p.sig; 
p.gam     = 1/2.19; % 1/risk aversion, Groom and Maddison 2019
p.psy     = 1/0.4; % inverse Frisch elasticity
p.nbar    = 1; % normalised
%p.eta     = 7.66; %Harrison 2017
p.eta     = 6;
p.etaW    = 6; % wages elasticity
%p.eta     = 1e+8; % arbitrarily elastic utility
p.vphi     = 75; % asserted
p.vphiW    = 75; % roughly from Born and Pfeifer
p.vr_pie  = 1.5; % Simms and Wu 2021
p.vr_y    = 0.25; % Simms and Wu 2021
%p.vr_pie  = 2; 
%p.vr_y    = 0.75; 
p.pibar   = 0.005;
p.xi      = 1.5; % adjustment costs
p.the     = 0.3; % capital share of income

% habit persistence
p.h = 0.8;

% capital utilisation
p.del0 = 1-(1-0.1)^(1/4); % capital depreciation, 10%/year
p.del2 = 0.01; % Sims and Wu
p.del1 = 26.4415654170364; % placeholder - steadystate file recalibrates, u=1 in steady state implies del1 = SDF*lamK/(mu*K)

% bond market
p.k = 1-1/40; % as in Harrison 2017
p.BLRbar = 0; % essential, otherwise steady state modifications needed


% controls unwinding speed and nature
%p.rhob1 = 1; % do we replace matured bonds or not? 1 = no
%p.rhob2 = 0.03; % speed of active unwinding
p.rhob1 = 0; 
p.rhob2 = 0; 

%p.rhoz    = 0.98; % demand shock persistence
p.rhoz = 0.8; % demand shock persistence

% Signalling parameters
%p.vr_s1 = 2e-06;
p.vr_s1 = 2e-02; % guess
p.vr_s2 = -6.5; % max subsidy about 5% of steady state GDP

% PH parameters
p.ome1 = 1e-02; % stock cost
p.ome2 = 1e-01; % LR flow cost
p.ome3 = 0; % SR flow cost

% SS ratio of SR to LR bonds is vthe / (1+vthe)
p.vthe = 1;

% callibrated by steady_state file
p.s = -0.292798332076891; % negative! because of bad externality in habits


% normaliser to force utility = 1 in steady state
% value here just a placeholder, recalibrated in steadystate file 
p.norc = 0.993145978431106;
p.ELB = 0;

% Endogenous QE parameters (0 disables them all)
p.aleph1 = 0;
p.aleph2 = 0;
p.aleph3 = 0;

p.sd_BLR = 1; % sd(e_BLR) during ZLB 
end