% computes the steady state, including calibrating parameters
% calls PH_steadystate_sublevel which calculates steady state /given/ parameters

% if this is too slow, disable the subsidy calibration and/or Taylor approximations

function [ys,params,check] = PH_steadystate(ys, exe, M_, options_)


% we need oo_, which Dynare doesn't normally give to the steadystate file
global oo_
loc_oo = oo_; 

% Here we load the values of the deep parameters in a loop.

for ii = 1:M_.param_nbr                                 
  eval([ M_.param_names{ii} ' = M_.params(' int2str(ii) ');']);         %    Get the value of parameter i.
end                                                        % End of the loop.  
check = 0;

%% calibrate certain parameters (norc and del1)
%% now obtain the normalisation factor norc
M_.params(find_string_index(M_.param_names, 's')) = s;
[ys,~,~] = PH_steadystate_sublevel(ys, 1, M_);

% pull key variables 
for i = 1:length(M_.endo_names)
    eval([M_.endo_names{i} ' =  ys(' num2str(i) ');'])
end

zeta = ys(find_string_index(M_.endo_names, {'zeta'}));
cbar = ys(find_string_index(M_.endo_names, {'cbar'}));
n = ys(find_string_index(M_.endo_names, {'n'}));

% temp vars
uc = (1-bet)*zeta*cbar^vsig;
ul = (1-bet)*vsig*(nbar/(1+psy))*n^(1+psy);

% derive norc such that U=1 in steady state
norc = (uc-ul+bet)^(-1/vsig); % normalisation factor 

%% now find depreciation parameter del1
mu = ys(find_string_index(M_.endo_names, {'mu'}));
K = ys(find_string_index(M_.endo_names, {'K'}));
lamK = ys(find_string_index(M_.endo_names, {'lamK'}));

% use SDF=bet and del1 = SDF*lamk/(mu*K) when u=1
del1 = (mu*K) / (bet*lamK);

% for MWE, just set IT1/UT1/DT1 by hand
UT1 = 66.6;
DT1 = -0.02;
ups = UT1;
delpie = DT1;

% save calibrated parameters
params=NaN(M_.param_nbr,1);
for iter = 1:M_.param_nbr %update parameters set in the file
  eval([ 'params(' num2str(iter) ') = ' M_.param_names{iter} ';' ])
end

for ii = 1:M_.orig_endo_nbr %auxiliary variables are set automatically
  eval(['ys(' int2str(ii) ') = ' M_.endo_names{ii} ';']);
end


