function resid = solve_steady_core(X, del, SDF, pie, eta, the, A, vphi,...
    sig, bet, nbar, psy, alp, iSR, s, etaW, h)

% given guesses, solve and verify

mu = X(1);
I = X(2);
w = X(3);

% given w we have wH
wH = ((etaW-1)/etaW)*w;

% given mu, we have lamk (not used here) and iL 
lamK = mu/(1-(1-del)*SDF);

% given I, we have K and L
K = I / del;

% given w and also mu and K, we have n and mc
n = K*(1-the)*mu/(the*w);
mc = (w/(A*(1-the)))^(1-the) * (mu/the)^the;

% this gives us output, consumption and real money
y = K^the * (A*n)^(1-the);
c = y - I;

% c gives us cbar
cbar = (1-h)*c;

% marginal cost clears price adjustment equation?
resid1 = (1+s)*(1-eta)+eta*mc-vphi*alp*(1+SDF);

% household labour supply?
cs = cbar ^ (-1/sig);
resid2 = wH - (nbar * n^psy)/cs;

% and lamk?
resid3 = 1 - SDF*lamK;

resid = [resid1, resid2, resid3];
end

